If you are using version 15.2.x or lower of Visual Studio 2017, you may  see this error 

Error:  Could not load file or assembly "Microsoft.VisualStudio.AppDesigner. version="

If so, you need to update your version of Microsoft Visual Studio 2017 to 15.3.x or later. To upgrade Visual Studio 2017, you will need to run the upgrade option within Visual Studio Installer. Instructions to do this are available on Microsoft's Visual Studio site.

After updating Visual Studio 2017, restart it to confirm that the version is 15.3 or later. You should no longer see the error.

There is no need to repair, reinstall, or re-license the AVR product.